// ---------------------------------------------------------------------------
// ammo_check.cs -- Version 1.18 -- December 29, 1999
// by Lorne Laliberte (writer@planetstarsiege.com)
//
// http://www.writerscripts.com
// ---------------------------------------------------------------------------

include("writer\\version.cs");
version("writer\\ammo_check.cs", "1.18", "Lorne Laliberte", "Dec 29, 1999");

include("writer\\event.cs");
include("writer\\fire.cs");
include("writer\\inventory.cs");

function AmmoCheck::onFirePressedOrReleased(%weapon)
{
    if(%weapon != -1) // Do we have a weapon in hand?
    {
        %ammo = $Inv::Ammo[%weapon];

        if(%ammo == "")
            return;

        if(getItemCount(%ammo))
            return;

        Event::Trigger(eventNoAmmo, %weapon, %ammo);

        return;// mute;
    }
    return;
}

function ammo_check::init()
{
    needs("writer\\ammo_check.cs", "writer\\event.cs 2.7",
                                   "writer\\fire.cs 3.0",
                                   "writer\\inventory.cs 3.3");

    Event::Attach(eventFirePressed, AmmoCheck::onFirePressedOrReleased);
    Event::Attach(eventFireReleased, AmmoCheck::onFirePressedOrReleased);
    Event::Attach(eventNoAmmo, "nextWeapon(); return;");
}
Event::Attach(writerInit, "ammo_check::init();");

if(!$UsingWriterLoader) ammo_check::init();
